Loading...
Searching...
No Matches
BALL::PB Class Reference

`#include <BALL/SCORING/COMPONENTS/PB.h>`

Inheritance diagram for BALL::PB:

## Public Member Functions

| PB (ScoringFunction &sf)
| ~PB ()
void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
double | updateScore ()
void | setupLigand ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual bool | setup ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Protected Attributes

FDPB * | pb_solver_
System | receptor_atoms_
System | ligand_atoms_
System | complex_atoms_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const

## Detailed Description

Poisson-Boltzmann scoring term

Definition at line 15 of file PB.h.

## Constructor & Destructor Documentation

## PB()

BALL::PB::PB | ( | ScoringFunction & | sf | ) |

## ~PB()

BALL::PB::~PB | ( |  | ) |

## Member Function Documentation

## setupLigand()

void BALL::PB::setupLigand | ( |  | ) |

virtual

Function that needs to be called once for every new ligand.
The default implementation of this base class does nothing and should be overloaded by derived classes if necessary.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::PB::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

double BALL::PB::updateScore | ( |  | ) |

virtual

Calculate the score for this component (for all interactions that have been set by the last call of update()) and return the score.
The coefficient assigned by the user to this component should be taken into account for the calculation, so that the weighted score is returned.

Reimplemented from BALL::ScoringComponent.

## Member Data Documentation

## complex_atoms_

System BALL::PB::complex_atoms_

protected

Definition at line 33 of file PB.h.

## ligand_atoms_

System BALL::PB::ligand_atoms_

protected

Definition at line 32 of file PB.h.

## pb_solver_

FDPB* BALL::PB::pb_solver_

protected

Definition at line 29 of file PB.h.

## receptor_atoms_

System BALL::PB::receptor_atoms_

protected

Definition at line 31 of file PB.h.